from banbou import _Fichier




__nom = "nom :".ljust(16)
__nom_orig = "nom orig :".ljust(16)
__ext = "ext :".ljust(16)
__chemin = "chemin :".ljust(16)
__implication = "implication :".ljust(16)
__taille = "taille :".ljust(16)



def test_doit_afficher_un_fichier(mocker, capsys):
    sut = _Fichier("mon fichier", "/home/david/projet01", "csv", "mon_fichier", "Necessaire", 300)

    # declenche l'affichage dans stdout
    sut.afficher()
    #capture l'affichage de stdout
    out, err = capsys.readouterr()

    expected_out = __nom + "mon_fichier\n" + __nom_orig + "mon fichier\n" + __ext + "csv\n" + __chemin + "/home/david/projet01\n" + __implication + "Necessaire\n" + __taille + "300\n"

    assert out == expected_out

def test_doit_afficher_un_fichier_avec_des_champs_vides(mocker, capsys):
    sut = _Fichier()

    sut.afficher()
    out, err = capsys.readouterr()

    expected_out = __nom + "Pas de nom\n" + __nom_orig + "Pas de nom original\n" + __ext + "Pas d'extension\n" + __chemin + "Pas de chemin\n" + __implication + "Non-conforme\n" + __taille + "0\n"

    assert out == expected_out
    
